Page MenuHomePhabricator

(Actually) Add wikitext support for citoid for automatic reference insertion
Open, NormalPublic1 Story Points

Description

From T94223:

The Citoid extension in conjunction with the citoid service allows users of VisualEditor (a what-you-see-is-what-you-get way of editing wikis) to insert references automatically by inserting a link to a book, journal article, newspaper article, or other identifiers like DOI and PubMed IDs. However, it currently doesn't have the functionality to insert citation templates in wikitext.

There is at least one on-wiki JavaScript gadgets that already do this, i.e. https://en.wikipedia.org/wiki/User:Salix_alba/Citoid However, this relies on hard-coded wiki templates and won't work universally on other-language wikis. The reference toolbar suffers from the same problem of requiring hardcoded templates.

Per that task's closure, what was done there was adding "support to reftoolbar as a temporary measure until wikieditor has surface".
Per James' comment, that represents a valid solution only for a small bunch of wikis.

Related Objects

StatusAssignedTask
OpenEsanders
OpenEsanders
OpenNone
ResolvedJdforrester-WMF
Resolveddchen
ResolvedCapt_Swing
ResolvedJdforrester-WMF
ResolvedCapt_Swing
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedJdforrester-WMF
ResolvedPginer-WMF
ResolvedWhatamidoing-WMF
ResolvedEsanders
InvalidNone
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
ResolvedJdforrester-WMF
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
ResolvedJdforrester-WMF
DuplicateNone
OpenNone
OpenNone
ResolvedEsanders
ResolvedEsanders
ResolvedWhatamidoing-WMF
ResolvedEsanders
StalledNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedEsanders
OpenNone
ResolvedEsanders
ResolvedEsanders
OpenNone
OpenNone
ResolvedDLynch
ResolvedDLynch
ResolvedEsanders
ResolvedSchnark
OpenNone
ResolvedJdforrester-WMF
ResolvedEsanders
Resolvedmatmarex
ResolvedJdforrester-WMF
ResolvedNone
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
OpenNone
DuplicateNone
ResolvedJdforrester-WMF

Event Timeline

Elitre created this task.Mar 18 2016, 7:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 18 2016, 7:26 PM

This'll be done by T104479: Provide a modern wikitext editor (indeed, this bit of it already works).

Jdforrester-WMF triaged this task as Normal priority.Mar 29 2016, 8:40 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to Epics on the VisualEditor board.
Mvolz moved this task from Backlog to Extension on the Citoid board.Jul 29 2016, 3:04 PM
czar added a subscriber: czar.Mar 14 2017, 3:22 AM

FYI: to get a reference in Wikitext from a DOI, I'm using currently reftag, hosted at https://reftag.appspot.com/doiweb.py